--- old/usr/src/Makefile.lint	2016-08-16 20:40:28.423925850 -0400
+++ new/usr/src/Makefile.lint	2016-08-16 20:40:28.471279976 -0400
@@ -279,7 +279,6 @@
 	cmd/split \
 	cmd/srptadm \
 	cmd/srptsvc \
-	cmd/ssh \
 	cmd/stat \
 	cmd/stmfadm \
 	cmd/stmfsvc \
--- old/usr/src/cmd/Makefile	2016-08-16 20:40:29.984504400 -0400
+++ new/usr/src/cmd/Makefile	2016-08-16 20:40:30.020567774 -0400
@@ -683,7 +683,6 @@
 	sort		\
 	split		\
 	srptadm		\
-	ssh		\
 	stat		\
 	stmfadm		\
 	stmsboot	\
--- old/usr/src/cmd/ssh/Makefile	2016-08-16 20:40:31.056970063 -0400
+++ new/usr/src/cmd/ssh/Makefile	2016-08-16 20:40:31.092939679 -0400
@@ -26,28 +26,8 @@
 
 include		../Makefile.cmd
 
-# libopenbsd-compat and libssh are used by all SSH binaries, and sftp-server is
-# also used as an internal part of sshd.
 SUBDIRS= \
-	etc \
-	libopenbsd-compat \
-	libssh \
-	sftp-server \
-	.WAIT \
-	ssh \
-	sshd \
-	scp \
-	ssh-add \
-	ssh-agent \
-	ssh-keygen \
-	ssh-keysign \
-	ssh-keyscan \
-	sftp \
-	ssh-http-proxy-connect \
-	ssh-socks5-proxy-connect
-
-MSGFILE=ssh.po
-POFILE=_messages.po
+	etc
 
 CLOBBERFILES += $(MSGFILE) THIRDPARTYLICENSE
 
@@ -56,31 +36,18 @@
 all :=          TARGET= all
 clean :=        TARGET= clean
 clobber :=      TARGET= clobber
-delete :=       TARGET= delete
 install :=      TARGET= install
-lint :=         TARGET= lint
-catalog :=      TARGET= catalog
-package :=      TARGET= package
-_msg :=		TARGET= _msg
-$(POFILE) :=	TARGET= $(POFILE)
 
-all clean install lint $(POFILE): $(SUBDIRS)
+all clean install: $(SUBDIRS)
+
+lint:
+
 clobber: $(SUBDIRS) clobber_local
 clobber_local:
 	$(RM) $(CLOBBERFILES)
 
 all install: THIRDPARTYLICENSE
 
-check: $(CHECKHDRS)
-
-# See Makefile.msg.targ for $(MSGFILE) update instructions
-_msg:
-	$(RM) $(POFILE)
-	$(TOUCH) $(POFILE)
-	$(MAKE) $(POFILE) XGETTEXT=/usr/bin/gxgettext
-	$(CP) $(POFILE) $(MSGFILE)
-	$(CP) $(MSGFILE) $(MSGDOMAIN)
-
 $(SUBDIRS):     FRC
 	cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/cmd/ssh/etc/Makefile	2016-08-16 20:40:36.848115964 -0400
+++ new/usr/src/cmd/ssh/etc/Makefile	2016-08-16 20:40:36.884363463 -0400
@@ -26,15 +26,11 @@
 SVCMETHOD = sshd
 
 include ../../Makefile.cmd
-include ../Makefile.ssh-common
 
-SSHASKPASS=	$(ROOTLIBSSH)/ssh-askpass
 ETCSSHDIR=	$(ROOTETC)/ssh
-DIRS=		$(ETCSSHDIR) $(ROOTLIBSSH) $(ROOTLIBSUNSSH)
+DIRS=		$(ETCSSHDIR)
 
-FILES= sshd_config ssh_config moduli.sunssh
-
-ETCSSHLINKS= $(ETCSSHDIR)/moduli
+FILES= sshd_config ssh_config
 
 ETCSSHFILES=	$(FILES:%=$(ETCSSHDIR)/%)
 
@@ -48,18 +44,11 @@
 $(DIRS):
 	$(INS.dir)
 
-$(ETCSSHDIR)/moduli: $(ETCSSHDIR)/moduli.sunssh
-	-$(RM) $@; $(SYMLINK) moduli.sunssh $@
-
-$(ROOTLIBSSH)/%: %
-	$(INS.file)
-
 $(POFILE):
 
 all lint clean clobber _msg:
 
-install: all $(DIRS) $(ETCSSHFILES) $(ETCSSHLINKS) $(ROOTMANIFEST) $(ROOTSVCMETHOD) \
-	$(SSHASKPASS)
+install: all $(DIRS) $(ETCSSHFILES) $(ROOTMANIFEST) $(ROOTSVCMETHOD)
 
 check: $(CHKMANIFEST)
 
--- old/usr/src/man/man1/Makefile	2016-08-16 20:42:31.942534290 -0400
+++ new/usr/src/man/man1/Makefile	2016-08-16 20:42:32.057947060 -0400
@@ -328,7 +328,6 @@
 	 	rusers.1			\
 	 	rwho.1				\
 	 	sar.1				\
-		scp.sunssh.1		\
 	 	script.1			\
 	 	sdiff.1				\
 	 	sed.1				\
@@ -337,7 +336,6 @@
 	 	setfacl.1			\
 	 	setlabel.1			\
 	 	setpgrp.1			\
-		sftp.sunssh.1		\
 	 	shcomp.1			\
 	 	shell_builtins.1		\
 	 	shift.1				\
@@ -351,13 +349,6 @@
 	 	spell.1				\
 	 	split.1				\
 	 	srchtxt.1			\
-		ssh.sunssh.1			\
-		ssh-add.sunssh.1			\
-		ssh-agent.sunssh.1			\
-		ssh-http-proxy-connect.sunssh.1	\
-		ssh-keygen.sunssh.1		\
-		ssh-keyscan.sunssh.1		\
-		ssh-socks5-proxy-connect.sunssh.1	\
 	 	strchg.1			\
 	 	strings.1			\
 	 	strip.1				\
@@ -514,22 +505,13 @@
 		rmail.1		\
 		rmdir.1		\
 		rmumount.1	\
-		scp.1		\
 		select.1	\
 		setenv.1	\
 		settime.1	\
-		sftp.1		\
 		sh.1		\
 		snca.1		\
 		source.1	\
 		spellin.1	\
-		ssh.1		\
-		ssh-add.1	\
-		ssh-agent.1	\
-		ssh-http-proxy-connect.1	\
-		ssh-keygen.1	\
-		ssh-keyscan.1	\
-		ssh-socks5-proxy-connect.1	\
 		stop.1		\
 		strconf.1	\
 		switch.1	\
@@ -717,15 +699,6 @@
 hashmake.1	:= LINKSRC = spell.1
 spellin.1	:= LINKSRC = spell.1
 
-scp.1				:= LINKSRC = scp.sunssh.1
-sftp.1				:= LINKSRC = sftp.sunssh.1
-ssh.1				:= LINKSRC = ssh.sunssh.1
-ssh-add.1			:= LINKSRC = ssh-add.sunssh.1
-ssh-agent.1			:= LINKSRC = ssh-agent.sunssh.1
-ssh-http-proxy-connect.1	:= LINKSRC = ssh-http-proxy-connect.sunssh.1
-ssh-keygen.1			:= LINKSRC = ssh-keygen.sunssh.1
-ssh-keyscan.1			:= LINKSRC = ssh-keyscan.sunssh.1
-ssh-socks5-proxy-connect.1	:= LINKSRC = ssh-socks5-proxy-connect.sunssh.1
 
 strconf.1	:= LINKSRC = strchg.1
 
--- old/usr/src/man/man1m/Makefile	2016-08-16 20:42:37.273723383 -0400
+++ new/usr/src/man/man1m/Makefile	2016-08-16 20:42:37.378570048 -0400
@@ -458,7 +458,6 @@
 		sdpadm.1m		\
 		sendmail.1m		\
 		setuname.1m		\
-		sftp-server.sunssh.1m	\
 		share.1m		\
 		share_nfs.1m		\
 		shareall.1m		\
@@ -483,8 +482,6 @@
 		soconfig.1m		\
 		sppptun.1m		\
 		spray.1m		\
-		ssh-keysign.sunssh.1m	\
-		sshd.sunssh.1m		\
 		statd.1m		\
 		stmfadm.1m		\
 		stmsboot.1m		\
@@ -646,9 +643,6 @@
 		sa1.1m				\
 		sa2.1m				\
 		sadc.1m				\
-		sftp-server.1m			\
-		ssh-keysign.1m			\
-		sshd.1m				\
 		shutacct.1m			\
 		sprayd.1m			\
 		startup.1m			\
@@ -723,9 +717,6 @@
 
 poweroff.1m			:= LINKSRC = halt.1m
 
-sftp-server.1m			:= LINKSRC = sftp-server.sunssh.1m
-ssh-keysign.1m			:= LINKSRC = ssh-keysign.sunssh.1m
-sshd.1m				:= LINKSRC = sshd.sunssh.1m
 
 comsat.1m			:= LINKSRC = in.comsat.1m
 fingerd.1m			:= LINKSRC = in.fingerd.1m
--- old/usr/src/man/man4/Makefile	2016-08-16 20:42:40.230746120 -0400
+++ new/usr/src/man/man4/Makefile	2016-08-16 20:42:40.287417234 -0400
@@ -187,8 +187,6 @@
 		sndr.4				\
 		sock2path.d.4			\
 		space.4				\
-		ssh_config.sunssh.4	\
-		sshd_config.sunssh.4	\
 		sulog.4				\
 		syslog.conf.4			\
 		system.4			\
@@ -243,8 +241,6 @@
 		rhosts.4			\
 		sendmail.cf.4			\
 		snapshot_cache.4		\
-		ssh_config.4			\
-		sshd_config.4			\
 		submit.cf.4			\
 		volume-defaults.4		\
 		wtmp.4				\
@@ -296,8 +292,6 @@
 sendmail.cf.4			:= LINKSRC = sendmail.4
 submit.cf.4			:= LINKSRC = sendmail.4
 
-ssh_config.4			:= LINKSRC = ssh_config.sunssh.4
-sshd_config.4			:= LINKSRC = sshd_config.sunssh.4
 
 isa.4				:= LINKSRC = sysbus.4
 
--- old/usr/src/pkg/manifests/network-ssh-ssh-key.mf	2016-08-16 20:42:45.768858336 -0400
+++ new/usr/src/pkg/manifests/network-ssh-ssh-key.mf	2016-08-16 20:42:46.039218497 -0400
@@ -24,37 +24,6 @@
 #
 
 set name=pkg.fmri value=pkg:/network/ssh/ssh-key@$(PKGVERS)
-set name=pkg.description value="Secure Shell protocol common Utilities"
-set name=pkg.summary value="SSH Common"
-set name=info.classification \
-    value=org.opensolaris.category.2008:System/Security
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/lib/ssh
-dir path=usr/lib/sunssh
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-file path=usr/lib/sunssh/ssh-keygen mode=0555
-file path=usr/lib/sunssh/ssh-keyscan mode=0555
-file path=usr/lib/sunssh/ssh-keysign mode=4555
-file path=usr/share/man/man1/ssh-keygen.sunssh.1
-file path=usr/share/man/man1/ssh-keyscan.sunssh.1
-file path=usr/share/man/man1m/ssh-keysign.sunssh.1m
-legacy pkg=SUNWsshcu desc="Secure Shell protocol common Utilities" \
-    name="SSH Common, (Usr)"
-license usr/src/cmd/ssh/THIRDPARTYLICENSE \
-    license=usr/src/cmd/ssh/THIRDPARTYLICENSE
-link path=usr/bin/ssh-keygen mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/ssh-keygen
-link path=usr/bin/ssh-keyscan mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/ssh-keyscan
-link path=usr/lib/ssh/ssh-keysign mediator=ssh mediator-implementation=sunssh \
-    target=../sunssh/ssh-keysign
-link path=usr/share/man/man1/ssh-keygen.1 mediator=ssh \
-    mediator-implementation=sunssh target=ssh-keygen.sunssh.1
-link path=usr/share/man/man1/ssh-keyscan.1 mediator=ssh \
-    mediator-implementation=sunssh target=ssh-keyscan.sunssh.1
-link path=usr/share/man/man1m/ssh-keysign.1m mediator=ssh \
-    mediator-implementation=sunssh target=ssh-keysign.sunssh.1m
--- old/usr/src/pkg/manifests/network-ssh.mf	2016-08-16 20:42:47.035991416 -0400
+++ new/usr/src/pkg/manifests/network-ssh.mf	2016-08-16 20:42:47.090995889 -0400
@@ -24,72 +24,6 @@
 #
 
 set name=pkg.fmri value=pkg:/network/ssh@$(PKGVERS)
-set name=pkg.description \
-    value="Secure Shell protocol Client and associated Utilities"
-set name=pkg.summary value="SSH Client and utilities"
-set name=info.classification \
-    value=org.opensolaris.category.2008:System/Security
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/ssh group=sys
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/lib/ssh
-dir path=usr/lib/sunssh
-dir path=usr/share/man
-dir path=usr/share/man/man1
-file path=usr/lib/sunssh/scp mode=0555
-file path=usr/lib/sunssh/sftp mode=0555
-file path=usr/lib/sunssh/ssh mode=0555
-file path=usr/lib/sunssh/ssh-add mode=0555
-file path=usr/lib/sunssh/ssh-agent mode=0555
-file path=usr/lib/sunssh/ssh-askpass mode=0555
-file path=usr/lib/sunssh/ssh-http-proxy-connect mode=0555
-file path=usr/lib/sunssh/ssh-socks5-proxy-connect mode=0555
-file path=usr/share/man/man1/scp.sunssh.1
-file path=usr/share/man/man1/sftp.sunssh.1
-file path=usr/share/man/man1/ssh-add.sunssh.1
-file path=usr/share/man/man1/ssh-agent.sunssh.1
-file path=usr/share/man/man1/ssh-http-proxy-connect.sunssh.1
-file path=usr/share/man/man1/ssh-socks5-proxy-connect.sunssh.1
-file path=usr/share/man/man1/ssh.sunssh.1
-legacy pkg=SUNWsshr \
-    desc="Secure Shell protocol Client and associated Utilities" \
-    name="SSH Client and utilities, (Root)"
-legacy pkg=SUNWsshu \
-    desc="Secure Shell protocol Client and associated Utilities" \
-    name="SSH Client and utilities, (Usr)"
-license usr/src/cmd/ssh/THIRDPARTYLICENSE \
-    license=usr/src/cmd/ssh/THIRDPARTYLICENSE
-link path=usr/bin/scp mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/scp
-link path=usr/bin/sftp mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/sftp
-link path=usr/bin/ssh mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/ssh
-link path=usr/bin/ssh-add mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/ssh-add
-link path=usr/bin/ssh-agent mediator=ssh mediator-implementation=sunssh \
-    target=../lib/sunssh/ssh-agent
-link path=usr/lib/ssh/ssh-askpass mediator=ssh mediator-implementation=sunssh \
-    target=../sunssh/ssh-askpass
-link path=usr/lib/ssh/ssh-http-proxy-connect mediator=ssh \
-    mediator-implementation=sunssh target=../sunssh/ssh-http-proxy-connect
-link path=usr/lib/ssh/ssh-socks5-proxy-connect mediator=ssh \
-    mediator-implementation=sunssh target=../sunssh/ssh-socks5-proxy-connect
-link path=usr/share/man/man1/scp.1 mediator=ssh mediator-implementation=sunssh \
-    target=scp.sunssh.1
-link path=usr/share/man/man1/sftp.1 mediator=ssh \
-    mediator-implementation=sunssh target=sftp.sunssh.1
-link path=usr/share/man/man1/ssh-add.1 mediator=ssh \
-    mediator-implementation=sunssh target=ssh-add.sunssh.1
-link path=usr/share/man/man1/ssh-agent.1 mediator=ssh \
-    mediator-implementation=sunssh target=ssh-agent.sunssh.1
-link path=usr/share/man/man1/ssh-http-proxy-connect.1 mediator=ssh \
-    mediator-implementation=sunssh target=ssh-http-proxy-connect.sunssh.1
-link path=usr/share/man/man1/ssh-socks5-proxy-connect.1 mediator=ssh \
-    mediator-implementation=sunssh target=socks5-proxy-connect.sunssh.1
-link path=usr/share/man/man1/ssh.1 mediator=ssh mediator-implementation=sunssh \
-    target=ssh.sunssh.1
-depend fmri=service/network/ssh-common type=require
--- old/usr/src/pkg/manifests/service-network-ssh-common.mf	2016-08-16 20:42:48.372316133 -0400
+++ new/usr/src/pkg/manifests/service-network-ssh-common.mf	2016-08-16 20:42:48.419810136 -0400
@@ -15,11 +15,11 @@
 
 set name=pkg.fmri value=pkg:/service/network/ssh-common@$(PKGVERS)
 set name=pkg.description \
-    value="Provides configuration files and server support for the Secure Shell (SSH) service which creates RSA and DSA host keys if they are not available and start or stop the sshd (Secure Shell daemon)."
-set name=pkg.summary \
-    value="Secure Shell (SSH) service and configuration files"
+    value="Provides SMF service for the Secure Shell (SSH) service which creates RSA and DSA host keys if they are not available and start or stop the sshd (Secure Shell daemon)."
+set name=pkg.summary value="Secure Shell (SSH) service."
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Security
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
 dir path=etc/ssh group=sys
@@ -31,20 +31,11 @@
 dir path=usr group=sys
 dir path=usr/share/man
 dir path=usr/share/man/man4
-file path=etc/ssh/moduli.sunssh group=sys preserve=true
 file path=etc/ssh/ssh_config group=sys \
     original_name=network/ssh:etc/ssh/ssh_config preserve=true
 file path=etc/ssh/sshd_config group=sys \
     original_name=service/network/ssh:etc/ssh/sshd_config preserve=true
 file path=lib/svc/manifest/network/ssh.xml group=sys mode=0444
 file path=lib/svc/method/sshd mode=0555
-file path=usr/share/man/man4/ssh_config.sunssh.4
-file path=usr/share/man/man4/sshd_config.sunssh.4
 license usr/src/cmd/ssh/THIRDPARTYLICENSE \
     license=usr/src/cmd/ssh/THIRDPARTYLICENSE
-link path=etc/ssh/moduli mediator=ssh mediator-implementation=sunssh \
-    target=moduli.sunssh
-link path=usr/share/man/man4/ssh_config.4 mediator=ssh \
-    mediator-implementation=sunssh target=ssh_config.sunssh.4
-link path=usr/share/man/man4/sshd_config.4 mediator=ssh \
-    mediator-implementation=sunssh target=sshd_config.sunssh.4
--- old/usr/src/pkg/manifests/service-network-ssh.mf	2016-08-16 20:42:49.661222524 -0400
+++ new/usr/src/pkg/manifests/service-network-ssh.mf	2016-08-16 20:42:49.708496117 -0400
@@ -24,36 +24,6 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/ssh@$(PKGVERS)
-set name=pkg.description value="Secure Shell protocol Server"
-set name=pkg.summary value="SSH Server"
-set name=info.classification \
-    value=org.opensolaris.category.2008:System/Security
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/ssh group=sys
-dir path=usr group=sys
-dir path=usr/lib
-dir path=usr/lib/ssh
-dir path=usr/share/man
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-file path=usr/lib/sunssh/sftp-server mode=0555
-file path=usr/lib/sunssh/sshd mode=0555
-file path=usr/share/man/man1m/sftp-server.sunssh.1m
-file path=usr/share/man/man1m/sshd.sunssh.1m
-legacy pkg=SUNWsshdr desc="Secure Shell protocol Server" \
-    name="SSH Server, (Root)"
-legacy pkg=SUNWsshdu desc="Secure Shell protocol Server" \
-    name="SSH Server, (Usr)"
-license usr/src/cmd/ssh/THIRDPARTYLICENSE \
-    license=usr/src/cmd/ssh/THIRDPARTYLICENSE
-link path=usr/lib/ssh/sftp-server mediator=ssh mediator-implementation=sunssh \
-    target=../sunssh/sftp-server
-link path=usr/lib/ssh/sshd mediator=ssh mediator-implementation=sunssh \
-    target=../sunssh/sshd
-link path=usr/share/man/man1m/sftp-server.1m mediator=ssh \
-    mediator-implementation=sunssh target=sftp-server.sunssh.1m
-link path=usr/share/man/man1m/sshd.1m mediator=ssh \
-    mediator-implementation=sunssh target=sshd.sunssh.1m
-depend fmri=service/network/ssh-common type=require
-depend fmri=text/locale type=require
--- old/usr/src/tools/findunref/exception_list.open	2016-08-16 20:42:50.904418114 -0400
+++ new/usr/src/tools/findunref/exception_list.open	2016-08-16 20:42:50.956191941 -0400
@@ -36,7 +36,6 @@
 #
 ./usr/src/cmd/oawk/EXPLAIN
 ./usr/src/cmd/vi/port/ex.news
-./usr/src/cmd/ssh/doc
 
 #
 # Ignore everything under trees that may be resynched from outside ON.
@@ -248,12 +247,6 @@
 #
 ./usr/src/OPENSOLARIS.LICENSE
 
-# Though "COPYING" is usually used as a filename for GPL, the license
-# information for openssh is actually found in usr/src/cmd/ssh/doc/LICENSE.
-# The COPYING.Ylonen file is merely additional information.
-#
-./usr/src/cmd/ssh/doc/COPYING.Ylonen
-
 #
 # This covers header files that are not delivered.
 #
